## coova-chilli-1.2.3.tar.gz

=== src/linux/Makefile ===
KERNEL_DIR ?= /usr/src/linux-headers-$(shell uname -r)

obj-m += xt_coova.o

all: libxt_coova.so
	make -C ${KERNEL_DIR} M=$$PWD;

modules:
	make -C ${KERNEL_DIR} M=$$PWD $@;

modules_install:
	make -C ${KERNEL_DIR} M=$$PWD $@;

modules_clean:
	make -C ${KERNEL_DIR} M=$$PWD $@;

clean:
	rm -f *.o *~ *.ko *.mod.c Module.markers modules.order Module.symvers libxt_coova.so

lib%.so: lib%.o
	$(CC) $(CFLAGS) -shared -o $@ $^;

lib%.o: lib%.c
	$(CC) $(CFLAGS) -O2 -Wall -I${KERNEL_DIR}/include -D_INIT=lib$*_init -c -o $@ $<;

install: modules_install libxt_coova.so
	mkdir -p $(DESTDIR)/lib/xtables/
	cp libxt_coova.so $(DESTDIR)/lib/xtables/

distdir:

distclean: clean

=== debian/changelog ===
coova-chilli (1.2.3-rc1) unstable; urgency=low

   * See ChangeLog

 -- Coova Technologies, LLC <support@coova.com>  Fri, 1 Jan 2010 00:00:00 +0200

coova-chilli (1.2.2) unstable; urgency=low

   * See ChangeLog

 -- Coova Technologies, LLC <support@coova.com>  Fri, 1 Jan 2010 00:00:00 +0200
 

coova-chilli (1.2.1) unstable; urgency=low

   * See ChangeLog

 -- Coova Technologies, LLC <support@coova.com>  Fri, 1 Jan 2010 00:00:00 +0200
 

coova-chilli (1.2.0) unstable; urgency=low

   * See ChangeLog
   * Use debhelper compat level 7.

 -- Coova Technologies, LLC <support@coova.com>  Fri, 1 Jan 2010 00:00:00 +0200
 

coova-chilli (1.0.12-2) unstable; urgency=low

   * Fix debian/changelog on Debian builds (make it buildable by dpkg-buildpackage -rfakeroot) - no changes to code

 -- Per Wilhelmsen <per.wilhelmsen@vcon.no>  Sat, 5 Jul 2008 22:25:00 +0200
 

coova-chilli (1.0.12-1) unstable; urgency=low

   * Bug fix in RADIUS timeout, note that option radiustimeout is in seconds!
   * Fix for dnsparanoia whereby chilli will reply with a host not found error instead of dropping the packet suggest by nextime
   * New option macauthdeny which will result in the black-listing of devices given an Access-Reject during MAC address authentication
   * New internal state called splash in which clients are given Internet access, but enforcing the port 80 http redirect
   * new option dhcpradius for mapping of some DHCP options into RADIUS attributes and visa versa during MAC authentication
   * new options dhcpgateway and dhcpgatewayport to specific a DHCP gateway (relay) host IP Address and port
   * New option (in development) routeif to specify which WAN interface to use for the default - this also enables the use of internal routing instead of everything defaulting to the tun/tap
   * Anyip fixes by Gunther, thanks.
   * Code cleanups 

 -- Unixmedia S.r.l. (Medianix Devel) <devel@unixmedia.it>  Sat, 27 Oct 2007 14:07:19 +0200

coova-chilli (1.0.11-1) unstable; urgency=low

  * Bug fix for RADIUS VSAs being sent

 -- Unixmedia S.r.l. (Medianix Devel) <devel@unixmedia.it>  Sat, 27 Oct 2007 14:07:19 +0200

coova-chilli (1.0.10-1) unstable; urgency=low

  * Renamed packed network stack structures and put them in pkt.h
  * Bug fix for DHCP relay (RFC 1542)
  * Bug fix in IPC handling
  * Memory leak fix in logging

 -- Unixmedia S.r.l. (Medianix Devel) <devel@unixmedia.it>  Sat, 27 Oct 2007 14:07:19 +0200

coova-chilli (1.0.9-1) unstable; urgency=low

  * Fix wrong localstatedir declaration
  * Changing build dependencies version for libc6-dev
  * upgrading to latest version

 -- Unixmedia S.r.l. (Medianix Devel) <devel@unixmedia.it>  Sat, 27 Oct 2007 14:07:19 +0200

coova-chilli (1.0.8-1) unstable; urgency=low

  * New upstream release
  * add dh_makeshlibs call to rules to call ldconfig in postinstall script
  * add updated glibc dependencies to force use of update library ( fix a
    compilation bug )

 -- Unixmedia S.r.l. (Medianix Devel) <devel@unixmedia.it>  Tue, 25 Sep 2007 17:25:13 +0200

coova-chilli (1.0.7-1) unstable; urgency=low

  * First debian packaging for Coova version of coova-chilli

 -- Unixmedia S.r.l. (Medianix Devel) <devel@unixmedia.it>  Tue, 21 Aug 2007 17:25:58 +0200

=== debian/control ===
Source: coova-chilli
Section: net
Priority: optional
Maintainer: Coova Technologies, LLC <support@coova.com>
Build-Depends: debhelper (>= 7), libc6-dev | libc6-dev-amd64 
Standards-Version: 3.8.1

Package: coova-chilli 
Architecture: any
Replaces: chillispot
Conflicts: chillispot
Provides: chillispot
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Wireless LAN Access Point Controller (captive portal).
 Coova-Chilli is an open source captive portal or wireless LAN access point
 controller, forked from chillispot. It supports web based login which is 
 today's standard for public HotSpots and it supports Wireless Protected Access (WPA) which
 is the standard of the future. Authentication, Authorization and Accounting (AAA) 
 is handled by your favorite radius server. Read more at http://www.coova.org/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	--prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	--sysconfdir=/etc --localstatedir=/var --enable-largelimits \
	--enable-proxyvsa --enable-miniportal --enable-chilliredir \
	--enable-chilliproxy --enable-binstatusfile --enable-chilliscript \
	--with-openssl --with-poll

configure:
	@test -f configure || ./bootstrap2

build: config.status
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installinit --name chilli
	dh_installman
	dh_installinfo
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
